﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace CustomColorPalette
{
    public class CustomColorPieSeries : ContentPage
    {
        ObservableCollection<ChartDataPoint> datas;
        SfChart chart;
        StackLayout stackLayout;
        List<Color> customColors;
        public CustomColorPieSeries()
        {
            datas = new ObservableCollection<ChartDataPoint>();
            chart = new SfChart();
            chart.Title.Text = "PieChart";
            chart.VerticalOptions = LayoutOptions.FillAndExpand;

            stackLayout = new StackLayout();
            stackLayout.VerticalOptions = LayoutOptions.FillAndExpand;

            customColors = new List<Color>();
            customColors.Add(Color.Red);
            customColors.Add(Color.Blue);
            customColors.Add(Color.Gray);
            customColors.Add(Color.Purple);

            datas.Add(new ChartDataPoint(1, 25));
            datas.Add(new ChartDataPoint(2, 55));
            datas.Add(new ChartDataPoint(3, 30));
            datas.Add(new ChartDataPoint(4, 75));
            datas.Add(new ChartDataPoint(5, 60));

            PieSeries pieSeries = new PieSeries();
            pieSeries.ColorModel.Palette = ChartColorPalette.Custom;
            pieSeries.ColorModel.CustomBrushes = customColors;
            pieSeries.EnableTooltip = true;
            pieSeries.ItemsSource = datas;
            chart.Series.Add(pieSeries);

            stackLayout.Children.Add(chart);
            Content = stackLayout;
        }
    }
}

